# List General Ledger Account

`GET /lokta-lms/api/v1/glaccounts`

Lists the general ledger accounts in the chart of accounts.

ARGUMENTS
type Integer optional manualEntriesAllowed boolean optional usage Integer optional disabled boolean optional parentId Long optional tagId Long optional
Example Requests:

glaccounts

glaccounts?type=1&manualEntriesAllowed=true&usage=1&disabled=false

glaccounts?fetchRunningBalance=true

## Parameters
- `type` (query, integer): type
- `searchParam` (query, string): searchParam
- `usage` (query, integer): usage
- `manualEntriesAllowed` (query, boolean): manualEntriesAllowed
- `disabled` (query, boolean): disabled
- `fetchRunningBalance` (query, boolean): fetchRunningBalance

## Responses
- `200`: OK

## Response fields
- `description` (string)
- `disabled` (boolean)
- `glCode` (string)
- `id` (integer)
- `manualEntriesAllowed` (boolean)
- `name` (string)
- `nameDecorated` (string)
- `organizationRunningBalance` (integer)
- `parentId` (integer)
- `tagId` (CodeValueData)
- `type` (EnumOptionData)
- `usage` (EnumOptionData)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/glaccounts' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
[
  {
    "description": "Desc",
    "disabled": false,
    "glCode": "100001",
    "id": 16
  }
]
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveAllAccounts
